satooshi/tumblr2markdown

converter tumblr blog to Octopress markdown

dev-master 2013-03-10 14:40 UTC

README

This CLI tool can convert your tumblr blog to Octopress markdown. tumblr2markdown calls tumblr API v1 and use pandoc internally. Please install pandoc before you use tumblr2markdown.

Installation

To install tumblr2markdown with Composer just add the following to your composer.json file:

// composer.json
{
    require: {
        "satooshi/tumblr2markdown": "dev-master"
    }
}

Then, you can install the new dependencies by running Composer’s update command from the directory where your composer.json file is located:

# install
$ php composer.phar install
# update
$ php composer.phar update satooshi/tumblr2markdown

# or you can simply execute composer command if you set composer command to
# your PATH environment variable
$ composer install
$ composer update satooshi/tumblr2markdown

Packagist page for this component is https://packagist.org/packages/satooshi/tumblr2markdown

Or you can use git clone command:

# HTTP
$ git clone https://github.com/satooshi/tumblr2markdown.git
# SSH
$ git clone git@github.com:satooshi/tumblr2markdown.git

Usage

# show help
$ php app/console.php tumblr:markdown -h

# run
$ php app/console.php tumblr:markdown -b satooshi-jp -t text --tagged blog

Limitation

Current tumblr2markdown has limitations.

  • text type only
  • html format only